Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1563831 - Review Request: qspec - GUI testing library for Qt desktop applications
Summary: Review Request: qspec - GUI testing library for Qt desktop applications
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady, FTBFS
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2018-04-04 20:24 UTC by Raphael Groner
Modified: 2019-02-24 19:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-24 19:15:14 UTC


Attachments (Terms of Use)

Description Raphael Groner 2018-04-04 20:24:44 UTC
Spec URL: https://raphgro.fedorapeople.org/review/qt/qspec/qspec.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/qspec/qspec-0.2-1.20160909git.fc27.src.rpm
Description: GUI testing library for Qt desktop applications
Fedora Account System Username: raphgro

Test builds: https://koji.fedoraproject.org/koji/taskinfo?taskID=26172062

Comment 1 Raphael Groner 2018-04-04 20:57:09 UTC
Next try: https://koji.fedoraproject.org/koji/taskinfo?taskID=26172062

Comment 2 Robert-André Mauchin 2018-04-05 06:40:34 UTC
 - Fix your %changelog entry:

* Wed Apr  4 2018 Raphael Groner <projects.rg@smart.ms> - 0.2-1.20160909gitd5878c9
- Initial package

 - Missing %{?_isa} in the -devel subpackage Requires:

Requires:       %{name}%{?_isa} = %{version}-%{release}



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "GPL (v2 or later)", "Unknown or generated".
     34 files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/qspec/review-qspec/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/qt5
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
     Note: Multiple Release: tags found
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qspec-
     devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qspec-0.2-1.20160909git.fc29.x86_64.rpm
          qspec-devel-0.2-1.20160909git.fc29.x86_64.rpm
          qspec-doc-0.2-1.20160909git.fc29.noarch.rpm
          qspec-debuginfo-0.2-1.20160909git.fc29.x86_64.rpm
          qspec-debugsource-0.2-1.20160909git.fc29.x86_64.rpm
          qspec-0.2-1.20160909git.fc29.src.rpm
qspec-devel.x86_64: W: only-non-binary-in-usr-lib
qspec-devel.x86_64: W: no-documentation
qspec-debugsource.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 3 Raphael Groner 2018-07-22 06:03:55 UTC
So sorry, no progress so far.

Comment 4 Raphael Groner 2019-01-17 22:42:00 UTC
Rawhide is actually b0rken to let %cmake fail.

Comment 5 Robert-André Mauchin 2019-02-24 17:52:56 UTC
Is it ok to review now?

Comment 6 Raphael Groner 2019-02-24 19:15:14 UTC
Obviously dead upstream.
https://travis-ci.org/ugeneunipro/QSpec/builds/425131501?utm_source=github_status&utm_medium=notification

Thanks for your interest and time.


Note You need to log in before you can comment on or make changes to this bug.